package cn.palmte.work.bean;

import java.math.BigDecimal;

/**
 * 预算概算页面的公共属性
 * @author xiongshiyan at 2021/11/1 , contact me with email yanshixiong@126.com or phone 15208384257
 */
public class IncomeCostBean {
    private BigDecimal incomeDeviceTaxInclude;
    private BigDecimal incomeEngineerTaxInclude;
    private BigDecimal incomeServiceTaxInclude;

    private BigDecimal incomeDeviceTaxExclude;
    private BigDecimal incomeEngineerTaxExclude;
    private BigDecimal incomeServiceTaxExclude;

    private BigDecimal costPurchaseDeviceTaxInclude;
    private BigDecimal costPurchaseBuildTaxInclude;
    private BigDecimal costPurchaseServiceTaxInclude;
    /*private BigDecimal costProjectManageTaxInclude;*/
    private BigDecimal costPurchaseOtherTaxInclude;
    private BigDecimal costOtherOtherTaxInclude;

    private BigDecimal costPurchaseDeviceTaxExclude;
    private BigDecimal costPurchaseBuildTaxExclude;
    private BigDecimal costPurchaseServiceTaxExclude;
    private BigDecimal costPurchaseOtherTaxExclude;
    private BigDecimal costProjectManageTaxExclude;
    private BigDecimal costOtherOtherTaxExclude;

    private BigDecimal costExpropriationTaxExclude;
    private BigDecimal costCompanyManageTaxExclude;

    public BigDecimal getIncomeDeviceTaxInclude() {
        return incomeDeviceTaxInclude;
    }

    public void setIncomeDeviceTaxInclude(BigDecimal incomeDeviceTaxInclude) {
        this.incomeDeviceTaxInclude = incomeDeviceTaxInclude;
    }

    public BigDecimal getIncomeEngineerTaxInclude() {
        return incomeEngineerTaxInclude;
    }

    public void setIncomeEngineerTaxInclude(BigDecimal incomeEngineerTaxInclude) {
        this.incomeEngineerTaxInclude = incomeEngineerTaxInclude;
    }

    public BigDecimal getIncomeServiceTaxInclude() {
        return incomeServiceTaxInclude;
    }

    public void setIncomeServiceTaxInclude(BigDecimal incomeServiceTaxInclude) {
        this.incomeServiceTaxInclude = incomeServiceTaxInclude;
    }

    public BigDecimal getIncomeTotalTaxInclude() {
        if(null == incomeDeviceTaxInclude || null == incomeEngineerTaxInclude || null == incomeServiceTaxInclude){
            return null;
        }
        return incomeDeviceTaxInclude.add(incomeEngineerTaxInclude)
                .add(incomeServiceTaxInclude);
    }

    public BigDecimal getIncomeDeviceTaxExclude() {
        return incomeDeviceTaxExclude;
    }

    public void setIncomeDeviceTaxExclude(BigDecimal incomeDeviceTaxExclude) {
        this.incomeDeviceTaxExclude = incomeDeviceTaxExclude;
    }

    public BigDecimal getIncomeEngineerTaxExclude() {
        return incomeEngineerTaxExclude;
    }

    public void setIncomeEngineerTaxExclude(BigDecimal incomeEngineerTaxExclude) {
        this.incomeEngineerTaxExclude = incomeEngineerTaxExclude;
    }

    public BigDecimal getIncomeServiceTaxExclude() {
        return incomeServiceTaxExclude;
    }

    public void setIncomeServiceTaxExclude(BigDecimal incomeServiceTaxExclude) {
        this.incomeServiceTaxExclude = incomeServiceTaxExclude;
    }

    public BigDecimal getIncomeTotalTaxExclude() {
        if(null == incomeDeviceTaxExclude || null == incomeEngineerTaxExclude || null ==incomeServiceTaxExclude){
            return null;
        }
        return incomeDeviceTaxExclude.add(incomeEngineerTaxExclude)
                .add(incomeServiceTaxExclude);
    }

    public BigDecimal getCostPurchaseDeviceTaxInclude() {
        return costPurchaseDeviceTaxInclude;
    }

    public void setCostPurchaseDeviceTaxInclude(BigDecimal costPurchaseDeviceTaxInclude) {
        this.costPurchaseDeviceTaxInclude = costPurchaseDeviceTaxInclude;
    }

    public BigDecimal getCostPurchaseBuildTaxInclude() {
        return costPurchaseBuildTaxInclude;
    }

    public void setCostPurchaseBuildTaxInclude(BigDecimal costPurchaseBuildTaxInclude) {
        this.costPurchaseBuildTaxInclude = costPurchaseBuildTaxInclude;
    }

    public BigDecimal getCostPurchaseServiceTaxInclude() {
        return costPurchaseServiceTaxInclude;
    }

    public void setCostPurchaseServiceTaxInclude(BigDecimal costPurchaseServiceTaxInclude) {
        this.costPurchaseServiceTaxInclude = costPurchaseServiceTaxInclude;
    }

    /*public BigDecimal getCostProjectManageTaxInclude() {
        return costProjectManageTaxInclude;
    }

    public void setCostProjectManageTaxInclude(BigDecimal costProjectManageTaxInclude) {
        this.costProjectManageTaxInclude = costProjectManageTaxInclude;
    }*/

    public BigDecimal getCostPurchaseOtherTaxInclude() {
        return costPurchaseOtherTaxInclude;
    }

    public void setCostPurchaseOtherTaxInclude(BigDecimal costPurchaseOtherTaxInclude) {
        this.costPurchaseOtherTaxInclude = costPurchaseOtherTaxInclude;
    }

    public BigDecimal getCostOtherOtherTaxInclude() {
        return costOtherOtherTaxInclude;
    }

    public void setCostOtherOtherTaxInclude(BigDecimal costOtherOtherTaxInclude) {
        this.costOtherOtherTaxInclude = costOtherOtherTaxInclude;
    }

    public BigDecimal getCostTotalTaxInclude() {
        if(null == costPurchaseDeviceTaxInclude
                || null == costPurchaseBuildTaxInclude
                || null == costPurchaseServiceTaxInclude
                || null == costPurchaseOtherTaxInclude
                /*|| null == costProjectManageTaxInclude*/
                || null == costOtherOtherTaxInclude){
            return null;
        }
        return costPurchaseDeviceTaxInclude
                .add(costPurchaseBuildTaxInclude)
                .add(costPurchaseServiceTaxInclude)
                .add(costPurchaseOtherTaxInclude)
                /*.add(null == costProjectManageTaxInclude ? new BigDecimal(0) : costProjectManageTaxInclude)*/
                .add(costOtherOtherTaxInclude);
    }

    public BigDecimal getCostPurchaseDeviceTaxExclude() {
        return costPurchaseDeviceTaxExclude;
    }

    public void setCostPurchaseDeviceTaxExclude(BigDecimal costPurchaseDeviceTaxExclude) {
        this.costPurchaseDeviceTaxExclude = costPurchaseDeviceTaxExclude;
    }

    public BigDecimal getCostPurchaseBuildTaxExclude() {
        return costPurchaseBuildTaxExclude;
    }

    public void setCostPurchaseBuildTaxExclude(BigDecimal costPurchaseBuildTaxExclude) {
        this.costPurchaseBuildTaxExclude = costPurchaseBuildTaxExclude;
    }

    public BigDecimal getCostPurchaseServiceTaxExclude() {
        return costPurchaseServiceTaxExclude;
    }

    public void setCostPurchaseServiceTaxExclude(BigDecimal costPurchaseServiceTaxExclude) {
        this.costPurchaseServiceTaxExclude = costPurchaseServiceTaxExclude;
    }

    public BigDecimal getCostPurchaseOtherTaxExclude() {
        return costPurchaseOtherTaxExclude;
    }

    public void setCostPurchaseOtherTaxExclude(BigDecimal costPurchaseOtherTaxExclude) {
        this.costPurchaseOtherTaxExclude = costPurchaseOtherTaxExclude;
    }

    public BigDecimal getCostProjectManageTaxExclude() {
        return costProjectManageTaxExclude;
    }

    public void setCostProjectManageTaxExclude(BigDecimal costProjectManageTaxExclude) {
        this.costProjectManageTaxExclude = costProjectManageTaxExclude;
    }

    public BigDecimal getCostOtherOtherTaxExclude() {
        return costOtherOtherTaxExclude;
    }

    public void setCostOtherOtherTaxExclude(BigDecimal costOtherOtherTaxExclude) {
        this.costOtherOtherTaxExclude = costOtherOtherTaxExclude;
    }

    public BigDecimal getCostTotalTaxExclude() {
        if(null == costPurchaseDeviceTaxExclude
                || null == costPurchaseBuildTaxExclude
                || null == costPurchaseServiceTaxExclude
                || null == costPurchaseOtherTaxExclude
                || null == costProjectManageTaxExclude
                || null == costOtherOtherTaxExclude){
            return null;
        }
        return costPurchaseDeviceTaxExclude.add(costPurchaseBuildTaxExclude)
                .add(costPurchaseServiceTaxExclude)
                .add(costPurchaseOtherTaxExclude)
                .add(costProjectManageTaxExclude)
                .add(costOtherOtherTaxExclude);
    }


    public BigDecimal getCostExpropriationTaxExclude() {
        return costExpropriationTaxExclude;
    }

    public void setCostExpropriationTaxExclude(BigDecimal costExpropriationTaxExclude) {
        this.costExpropriationTaxExclude = costExpropriationTaxExclude;
    }

    public BigDecimal getCostCompanyManageTaxExclude() {
        return costCompanyManageTaxExclude;
    }

    public void setCostCompanyManageTaxExclude(BigDecimal costCompanyManageTaxExclude) {
        this.costCompanyManageTaxExclude = costCompanyManageTaxExclude;
    }

    public BigDecimal getProjectGrossProfit() {
        BigDecimal incomeTotalTaxExclude = getIncomeTotalTaxExclude();
        BigDecimal costTotalTaxExclude = getCostTotalTaxExclude();
        BigDecimal costExpropriationTaxExclude = getCostExpropriationTaxExclude();
        if(null == incomeTotalTaxExclude || null == costTotalTaxExclude || null == costExpropriationTaxExclude){
            return null;
        }
        return incomeTotalTaxExclude.subtract(costTotalTaxExclude).subtract(costExpropriationTaxExclude);
    }


    public BigDecimal getProjectGrossProfitRate() {
        BigDecimal projectGrossProfit = getProjectGrossProfit();
        BigDecimal incomeTotalTaxExclude = getIncomeTotalTaxExclude();
        if(null == projectGrossProfit || null == incomeTotalTaxExclude){
            return null;
        }
        return projectGrossProfit.multiply(new BigDecimal(100)).divide(incomeTotalTaxExclude,2,BigDecimal.ROUND_HALF_UP);
    }

    public BigDecimal getProjectContributionProfit() {
        BigDecimal projectGrossProfit = getProjectGrossProfit();
        BigDecimal costCompanyManageTaxExclude = getCostCompanyManageTaxExclude();
        if(null == projectGrossProfit || null == costCompanyManageTaxExclude){
            return null;
        }
        return projectGrossProfit.subtract(costCompanyManageTaxExclude);
    }

    public BigDecimal getProjectContributionProfitRate() {
        BigDecimal projectContributionProfit = getProjectContributionProfit();
        BigDecimal incomeTotalTaxExclude = getIncomeTotalTaxExclude();
        if(null == projectContributionProfit || null == incomeTotalTaxExclude){
            return null;
        }
        return projectContributionProfit.multiply(new BigDecimal(100)).divide(incomeTotalTaxExclude, 2,BigDecimal.ROUND_HALF_UP);
    }
}
